"use strict";
/**
 * Relation fields. Keys are relation (table) names, values are fields.
 * Fields can be provided as string or array of strings. ie. `field`, `entity.field` or `entity.*`.
 * `entity.*` covers all fields in that relation.
 * @typedef  {Object.<string, string | string[]>} Fields
 * @example
 * const fields = {
 *   '': 'name',                  // Field name without table.
 *   'person': 'name',            // Single field from `person` table.
 *   'cart':   ['name', 'color'], // Some fields from `cart` table.
 *   'report': '*',               // All fields from `report` table.
 * }
 */
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const Joi = __importStar(require("joi"));
exports.FieldsSchema = Joi.object().pattern(/.*?/, Joi.alternatives(Joi.string(), Joi.array().items(Joi.string())));
//# sourceMappingURL=fields.js.map